Distribution:	CCux
Packager:  	Simon Schmeisser <mail_to_wrt@gmx.de>	

Summary:   	An outline font editor
Name:      	fontforge
Version:   	20080309
Release:   	1
License: 	BSD
URL:		http://fontforge.sourceforge.net
Group:     	Publishing
Source0: 	%{name}_full-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  glibc-devel

%description
An outline font editor that lets you create your own postscript,
truetype, opentype, cid-keyed, multi-master, cff, svg and bitmap
(bdf, FON, NFNT) fonts, or edit existing ones.
Also lets you convert one format to another.
FontForge has support for many macintosh font formats.

%package	devel
Summary:        Development libraries for %{name}
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and Library files for doing development with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--disable-debug \
--mandir=%_mandir \
--prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%_prefix mandir=$RPM_BUILD_ROOT%_mandir

%files
%defattr(-,root,root)
%_bindir/fontforge
%_bindir/fontimage
%_bindir/sfddiff
%_bindir/fontlint
%_libdir/*.so.*
%_mandir
%_locale
%_datadir/%{name}

%files devel
%_pkgconfig
%_libdir/*.so
%_libdir/*.la
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar 11 2008 Christian Wasem <wasem@ccux-linux.de> 20080309-1
- version update
* Sun Nov 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 20071110-1
- version update
* Tue Jan 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 20061220-1
- version update
* Wed Sep 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 20060822-2
- rebuilt against gettext 1.5
* Tue Sep 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 20060822-1
- version update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 20060413-2
- tweaked specfile more ccux specific
- moved some files in devel package
- added BuildRequires, changed group to Publishing
* Tue May 16 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 20060413-1
- Initial Release
